Name:		redshift
Version:	1.12
Release:	%mkrel 3
Summary:	Adjusts the color temperature of your screen according to time of day
Group:		Graphical desktop/Other
Url:		http://jonls.dk/redshift/
License:	GPLv3+
Source0:	https://github.com/jonls/redshift/releases/download/v%{version}/redshift-%{version}.tar.xz
Source1:	redshift.desktop
Source2:	redshift-gtk.desktop
Source3:    redshift.png
BuildRequires:	intltool
BuildRequires:	x11-server-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	python3-devel
Requires:	geoclue >= 2.4.0
Requires:	python3-gobject3
Requires:	python3-pyxdg

%description
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-geoclue2 \
	--disable-rpath \
	--enable-gui

%make

%install
rm -rf %buildroot
%make_install

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/%{name}.desktop
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications/%{name}-gtk.desktop
install -Dm 0644 %SOURCE3 %{buildroot}%{_datadir}/pixmaps/redshift.png


%find_lang %{name}

%files -f %{name}.lang
%doc NEWS DESIGN README*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*
%{_bindir}/%{name}-gtk
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/appdata/%{name}-gtk.appdata.xml
%{python3_sitelib}/%{name}_gtk/
%{_datadir}/pixmaps/redshift.png

%changelog
* Tue Jun 22 2020 tex - 1.12-3pclos2020
- dont show in KDE

* Fri Apr 26 2019 tex - 1.12-2pclos2019
- rebuild against updates

* Wed Jun 06 2018 tex - 1.12-1pclos2018
- new version

* Tue May 30 2017 bb2 <bb2> - 1.11-3pclos2017
- add icon to pixmaps folder

* Fri May 25 2017 bb2 <bb2> - 1.11-2pclos2017
- move desktop file to more applications

* Mon Jan 18 2016 bb <bb> - 1.11-1pclos2016
- update

* Fri Feb 06 2015 bb <bb> - 1.10-1pclos2015
- update

